#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.0.0.1
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.0.0.1-1i2811oh7yuCVxWawTxoc7-tasty-sugar-internal

key:
    tasty-sugar-2.0.0.1-1i2811oh7yuCVxWawTxoc7-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  4d93de9f9de4be6a5466dd3a89bc1efa
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.0.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.0.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.0.0.1-1i2811oh7yuCVxWawTxoc7-tasty-sugar-internal

depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    filemanip-0.3.6.3-I3xf3m1kOuJ8evS2sEBBv9 filepath-1.4.2.1
    kvitable-1.0.1.0-aY11RN2bAHH9tN8sq3TpW
    logict-0.7.1.0-KdWIhm8dNgMAlxipng50Ks
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4 mtl-2.2.2
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-H3TJ5QGUcvJFh5pZ09MyFu text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              2.0.0.1
visibility:           public
id:                   tasty-sugar-2.0.0.1-Bun7s9VVIKiBSISaBhxWJn
key:                  tasty-sugar-2.0.0.1-Bun7s9VVIKiBSISaBhxWJn
license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  e4e38b5bc6f9b273bbe64dc018673d15
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.0.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.0.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.0.0.1-Bun7s9VVIKiBSISaBhxWJn
depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    filemanip-0.3.6.3-I3xf3m1kOuJ8evS2sEBBv9 filepath-1.4.2.1
    logict-0.7.1.0-KdWIhm8dNgMAlxipng50Ks
    optparse-applicative-0.17.0.0-G97y0UrNgMFEGAnnF72sOS
    prettyprinter-1.7.1-H3TJ5QGUcvJFh5pZ09MyFu
    tasty-1.4.2.3-6QsX7Add06EJF1tBU6rrYi
    tasty-sugar-2.0.0.1-1i2811oh7yuCVxWawTxoc7-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

